Catmandu::Wikidata(3pm)

NAME
Catmandu::Wikidata - Import from Wikidata for processing with Catmandu

VERSION
version 0.06

SYNOPSIS
    catmandu convert Wikidata --items Q42,P19 to JSON --pretty 1

    echo Q42 | catmandu convert Wikidata to JSON --pretty 1

    catmandu convert Wikidata --site enwiki --title "Emma Goldman" to JSON --pretty 1
    catmandu convert Wkidata --title dewiki:Metadaten to JSON --pretty 1

    catmandu convert Wikidata --title "Emma Goldman" \
        --fix "wd_language('en')" to JSON --pretty 1

DESCRIPTION
Catmandu::Wikidata provides modules to process data from <http://www.wikidata.org/> within the Catmandu framework. In particular it facilitates access to Wikidata entity record via Catmandu::Importer::Wikidata, the simplification of these records via fixes (wd_language($language), wd_simple(), wd_simple_strings(), and wd_simple_claims()). Other Catmandu modules can be used to further process the records, for instance to load them into a database.

MODULES

Catmandu::Importer::Wikidata
    Imports entities from <http://www.wikidata.org/>.

Catmandu::Fix::wd_language
    Limit string values in a Wikidata entity record to a selected language.

Catmandu::Fix::wd_simple_strings
    Simplifies labels, descriptions, and aliases of Wikidata entity record.

Catmandu::Fix::wd_simple_claims
    Simplifies claims of a Wikidata entity record.

Catmandu::Fix::wd_simple
    Applies Catmandu::Fix::wd_simple_strings and Catmandu::Fix::wd_simple_claims. Further simplifies sitelinks and optionally applies Catmandu::Fix::wd_language.

SEE ALSO
Background information on Catmandu can be found at <http://librecat.org/>.

Background information on Wikidata can be found at <http://www.wikidata.org/wiki/Wikidata:Introduction>.

AUTHOR
Jakob Voß

COPYRIGHT AND LICENSE
This software is copyright (c) 2014 by Jakob Voß.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.